AjaxToolkit Error

Chetan Sharma asked on February 26, 2015 13:47

Hello All,

I am getting this error

Uncaught Error: AjaxControlToolkit requires ASP.NET Ajax 4.0 scripts. Ensure the correct version of the scripts are referenced. If you are using an ASP.NET ScriptManager, switch to the ToolkitScriptManager in AjaxControlToolkit.dll. (index):955 Uncaught TypeError: Cannot read property 'UI' of undefined

Please help!!

Thanks, Chetan

Recent Answers

Brenden Kehren answered on February 26, 2015 21:47

Good chance your version of the AjaxControlToolkit is not the right version, check the dll to see what version it is for the site. IN fact, you don't really need to include it as its already included.

0 votesVote for this answer Mark as a Correct answer

Martin Danko answered on March 1, 2015 05:20

Hello Chetan,

Did you try to Google this error?

What version of Kentico are you running and what version of .NET with this project?

Regards, Martin

1 votesVote for this answer Mark as a Correct answer

Chetan Sharma answered on May 18, 2015 17:39

Apologies for answering late on this error. This error was happening intermittently back then. Now, it has again started coming on our production servers.

We are using Kentico 7 and ".NET" version 4.

This started happening when I included Kentico web forms and clicked on "Use auto update panel" in that web part.

Thanks Chetan

0 votesVote for this answer Mark as a Correct answer

   Please, sign in to be able to submit a new answer.